get
https://{app-url}{}/api/v2/bc/data-sources/find
Retrieve data sources by name
The search query is matched against data source names using a case-insensitive search. The response returns all data sources that match the query.
Request Arguments
| Argument | Type | Description |
|---|---|---|
| searchQuery | string | Query string used to search available data source names. |
Response Fields
Several fields are common to all data source types. Each data source type also includes additional fields specific to that source type (see additional field)
| Field | Type | Description / Example |
|---|---|---|
| id | string | Unique identifier of the data source. |
| name | string | Data source name as displayed in the Anodot application. |
| modifyTime | epoch | Time when the data source was last updated (epoch seconds). |
| createTime | epoch | Time when the data source was created (epoch seconds). |
| type | string (enum) | Data source type. One of the supported data source types. |
| additional | various | Additional fields depending on the data source type, such as authentication type, database name, database host, region, bucket name, and more. |
